Skip to main content
POST
/
o
/
{organisation_id}
/
notification_channels
cURL
curl --request POST \
  --url https://platform.versori.com/api/v2/o/{organisation_id}/notification_channels \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "<string>",
  "config": {}
}
'
{
  "id": "<string>",
  "organisation_id": "<string>",
  "name": "<string>",
  "type": "<string>",
  "config": {
    "email": {
      "to": "<string>",
      "cc": [
        "<string>"
      ]
    }
  },
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.versori.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication used by the Versori Platform. External consumers must provide an API key, however internal consumers must provide a JWT id_token issued by our IdP.

Path Parameters

organisation_id
string<ulid>
required

Body

application/json
name
string
required
type
string
required
config
object
required

Response

201 - application/json

Notification channel created successfully

id
string<ulid>
required
organisation_id
string<ulid>
required
name
string
required
type
string
required
config
object
required
created_at
string<date-time>
required
updated_at
string<date-time>
required